GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
grpc::ServerStreamingHandler< ServiceType, RequestType, ResponseType > Class Template Reference

`#include <completion_queue.h>`

## Public Member Functions
| ServerStreamingHandler (std::function< Status(ServiceType *, ServerContext *, const RequestType *, ServerWriter< ResponseType > *)> func, ServiceType *service)
void | RunHandler (const HandlerParameter &param)
Public Member Functions inherited from grpc::MethodHandler
virtual | ~MethodHandler ()

## Constructor & Destructor Documentation

template<class ServiceType , class RequestType , class ResponseType >

grpc::ServerStreamingHandler< ServiceType, RequestType, ResponseType >::ServerStreamingHandler | ( | std::function< Status(ServiceType *, ServerContext *, const RequestType *, ServerWriter< ResponseType > *)> | func,
|  | ServiceType * | service
| ) |  |
| inline

## Member Function Documentation

template<class ServiceType , class RequestType , class ResponseType >

void grpc::ServerStreamingHandler< ServiceType, RequestType, ResponseType >::RunHandler | ( | const HandlerParameter & | param | ) |
| inline virtual

Implements grpc::MethodHandler.

The documentation for this class was generated from the following files:

- include/grpc++/completion_queue.h
- include/grpc++/impl/rpc_service_method.h